#include <iostream>
#include <vector>

using namespace std;

int max(const vector<int> &nums) {
    int num = 0;
    for (int n: nums) {
        (n > num) ? num = n : num;
    }
    return num;
}

int min(const vector<int> &nums) {
    int num = 1000;
    for (int n: nums) {
        (n < num) ? num = n : num;
    }
    return num;
}

int main() {
    int n, m;
    bool flag;
    cin >> n;
    vector<vector<int>> cubics(n, vector<int>(6, 0));
    for (int i = 0; i < n; i++) {
        flag = false;
        for (int j = 0; j < 6; j++) {
            cin >> cubics[i][j];
        }
        m = min(cubics[i]) + max(cubics[i]);
        while (m > 0) {
            for (int j = 0; j < n; j++) {
                for (int k = 1; k < n; k++) {
                    if (cubics[i][k] + cubics[i][j] == m) {
                        flag = true;
                        break;
                    }
                    flag = false;
                }
            }
            if (flag) {
                break;
            }
            m--;
        }
        flag ? cout << "yes" << "\n" : cout << "no" << "\n";
    }
    return 0;
}